Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.laf
Interface LookAndFeelComponent

All Known Implementing Classes:
  AbstractLookAndFeelComponent, Skeleton, Skin

    public interface LookAndFeelComponent

`LookAndFeelComponent` defines a common api for Look and Feel components.

This interface is intended to be implemented only by BEA Weblogic Portal.BEA Systems reserves the right to add abstract methods to this interface without notice. Implementations of this interface by other parties must not be expected to compile without change in future versions of BEA Weblogic Portal.

Method Summary
`List<String>` | `getAvailableChromosomes()` Returns a list of all available component chromosome names.
`String` | `getChromosome()` Returns the current component chromosome name.
`String` | `getFullPath()` Returns the qualified skin path, including the current component name.
`HtmlPathResolver` | `getHtmlPathResolver()` Returns an instance of a `HtmlPathResolver` related to the component.
`String` | `getName()` Returns the component name.
`String` | `getPath()` Returns the webapp-relative base component path.

Method Detail

### getName

    String getName()

  Returns the component name.

### getPath

    String getPath()

  Returns the webapp-relative base component path.

### getFullPath

    String getFullPath()

  Returns the qualified skin path, including the current component name. The value returned from this method is influenced by the Look and Feel resource URL template, if present.

### getChromosome

    String getChromosome()

  Returns the current component chromosome name.

### getAvailableChromosomes

    List<String> getAvailableChromosomes()

  Returns a list of all available component chromosome names.

### getHtmlPathResolver

    HtmlPathResolver getHtmlPathResolver()

  Returns an instance of a `HtmlPathResolver` related to the component.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved